Skip to main content
POST
Queue karaoke alignment

Authorizations

X-Auth-Token
string
header
required

API key created in the dashboard or via POST /v1/api/api-keys. Keys are prefixed pn_ and do not expire until revoked.

Path Parameters

videoId
string
required

Video ID (GUID)

Example:

"657bb740-a71b-4529-a012-528021c31a92"

Body

multipart/form-data
srclang
string
required
Example:

"en"

label
string
required
Example:

"English (karaoke)"

audioUrl
string<uri>

Public URL of the audio. Required unless audioFile is given.

audioFile
file

Audio file. Required unless audioUrl is given.

vttUrl
string<uri>

Public URL of the transcript (WebVTT). Required unless vttFile is given.

vttFile
file

Transcript file (WebVTT). Required unless vttUrl is given.

Response

Alignment queued

message
string
Example:

"success"